%define major 0
%define libname %mklibname desktop-agnostic %major
%define develname %mklibname -d desktop-agnostic

Summary:	A desktop-agnostic library for GLib-based projects
Name:		libdesktop-agnostic
Version:	0.3.92
Release:	%mkrel 1
Url:		https://launchpad.net/libdesktop-agnostic
Source0:	%{name}-%{version}.tar.gz
License:	GPLv2+
Group:		Development/Other
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libvala-devel >= 0.7.7
BuildRequires:	libgladeui-devel
BuildRequires:	python-devel
BuildRequires:	libGConf2-devel
BuildRequires:	intltool
BuildRequires:	gobject-introspection-devel >= 0.6.3
BuildRequires:	python-gobject-devel
BuildRequires:  pygtk2.0-devel
#BuildRequires:	glib2-devel
#BuildRequires:	libgtk+2-devel
#BuildRequires:	python-gobject-devel
#BuildRequires:	gnome-desktop-devel
#BuildRequires:	gnome-vfs2-devel
#BuildRequires:	thunar-devel
Requires:	libdesktop-agnostic-vfs-gio
Requires:	libdesktop-agnostic-cfg-gconf
Requires:	libdesktop-agnostic-fdo-glib
Requires:	pygtk2

%description
This library provides an extensible configuration API, a unified virtual file
system API, and a desktop item editor (all with pluggable backends) for
GLib-based projects. It is not tied to any one desktop environment, although
there are desktop-specific modules.

%package -n	%libname
Group:		Development/Other
Summary:	%{name} library package
Requires:	%{name} >= %{version}

%description -n	%libname
%summary.

%package -n %develname
Summary:	%{name} development files
Group:		Development/Other
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}

%description -n %develname
This package contains header files needed when building applications based on
%{name}.

%package	cfg-gconf
Summary:	GConf module for %{name}
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}
Provides:	libdesktop-agnostic-cfg

%description	cfg-gconf
This package contains the GConf mdoule for %{name}.

%package	fdo-glib
Summary:	GLib desktop entry module for %{name}
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}
Provides:	libdesktop-agnostic-fdo

%description	fdo-glib
This package contains the GLib desktop entry module for %{name}.

%package	vfs-gio
Summary:	GIO VFS module for %{name}
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}

%description	vfs-gio
This package contains the GIO VFS module for %{name}.

%prep
%setup -q

%build
%define Werror_cflags %nil 
%setup_compile_flags
export LINKFLAGS="%ldflags"
export PYTHONDIR=%{python_sitearch}
./waf configure \
	--prefix=%{_prefix} \
	--sysconfdir=%{_sysconfdir} \
	--localstatedir=%{_localstatedir} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--enable-debug \
	--config-backends=gconf \
	--vfs-backends=gio \
	--desktop-entry-backends=glib \
	--with-glade

./waf build --nocache

%install
rm -rf %{buildroot}
./waf  --nocache install --destdir=%{buildroot}

# fix .so permissions so that debuginfo can be extracted for the debug package
find %{buildroot}%{_libdir} -name *.so -exec chmod 755 {} \;

%find_lang %name

%clean
rm -rf %{buildroot}

%files -f %name.lang
%defattr(-,root,root)
%doc COPYING COPYING.GPL-2
%{_sysconfdir}/xdg/%{name}/desktop-agnostic.ini
%{_bindir}/lda-desktop-entry-editor
%{_bindir}/lda-schema-to-gconf
%dir %{_libdir}/desktop-agnostic
%dir %{_libdir}/desktop-agnostic/modules
%{_libdir}/desktop-agnostic/modules/libda-cfg-type-color.so
%{_libdir}/desktop-agnostic/modules/libda-module-guesser.so
%{_datadir}/glade3/catalogs/desktop-agnostic.xml
%{python_sitearch}/desktopagnostic/*.py

%files cfg-gconf
%defattr(-,root,root)
%{_libdir}/desktop-agnostic/modules/libda-cfg-gconf.so

%files fdo-glib
%defattr(-,root,root)
%{_libdir}/desktop-agnostic/modules/libda-fdo-glib.so

%files vfs-gio
%defattr(-,root,root)
%{_libdir}/desktop-agnostic/modules/libda-vfs-gio.so

%files -n %libname
%defattr(-,root,root)
%{_libdir}/%{name}*.so.%{major}*
%{python_sitearch}/desktopagnostic/*.so

%files -n %develname
%defattr(-,root,root)
%dir %{_includedir}/%{name}-1.0
%dir %{_includedir}/%{name}-1.0/%{name}
%{_includedir}/%{name}-1.0/%{name}/*.h
%{_libdir}/%{name}*.so
%{_libdir}/pkgconfig/desktop-agnostic.pc
%{_datadir}/pygtk/2.0/defs/*.defs
%{_datadir}/vala/vapi/*.vapi
%{_datadir}/vala/vapi/desktop-agnostic*.deps


%changelog
* Mon May 09 2011 Funda Wang <fwang@mandriva.org> 0.3.92-1mdv2011.0
+ Revision: 672701
- br intltool
- new version 0.3.92

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

  + Jani Välimaa <wally@mandriva.org>
    - rebuild for python 2.7 (mdv#61630)

  + Ahmad Samir <ahmadsamir@mandriva.org>
    - clean spec

* Fri Apr 16 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.3.90-5mdv2010.1
+ Revision: 535479
- add missing buildrequires

* Thu Apr 15 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.3.90-4mdv2010.1
+ Revision: 535107
- rebuild

* Tue Apr 13 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.3.90-3mdv2010.1
+ Revision: 534518
- cfg-gconf is needed to make new awn build, so what's the point of
  building cfg-keyfile /o\
- disable gnome-vfs, thunar-vfs and fdo-gnome for now, there's no easy way to
  switch backends at the moment...

* Mon Apr 12 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.3.90-1mdv2010.1
+ Revision: 533688
- fix BR
- import libdesktop-agnostic


